
/****** Object:  View [dbo].[vStampaProdottiIVA]    Script Date: 02/01/2018 11:47:22 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vStampaProdottiIVA]'))
DROP VIEW [dbo].[vStampaProdottiIVA]
GO


/****** Object:  View [dbo].[vStampaProdottiIVA]    Script Date: 07/08/2018 17:01:16 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vStampaProdottiIVA]
AS
SELECT        dbo.Prodotti.Testata, dbo.vFornitori.RagioneSociale AS UscitaFornitore, dbo.TipiProdotto.Descrizione AS TipoProdotto, dbo.Uscite.PrezzoNetto, dbo.Uscite.PrezzoCopertinaEuroDistributore, dbo.Uscite.Giacenza, 
                         dbo.Uscite.CopieFornite, dbo.Uscite.ScontoEdicola, dbo.IVA.Aliquota AS IVA, dbo.Uscite.CodiceInforete, dbo.Uscite.PrezzoCessione, dbo.vEdicola.RagioneSociale, dbo.vEdicola.Indirizzo, dbo.vEdicola.Cap, 
                         dbo.vEdicola.Citta, dbo.vEdicola.Prov, dbo.vEdicola.Telefono, dbo.vEdicola.PartitaIVA, dbo.vEdicola.Codicefiscale, dbo.IVA.IDIva, dbo.TipiProdotto.IDTipoProdotto, dbo.vFornitori.IDSoggetto AS IDEditore, 
                         dbo.Prodotti.ScortaMinima, dbo.Uscite.DirittoDiReso, dbo.Uscite.IdMarca, dbo.Uscite.TipoProdottoSpeciale, dbo.Uscite.IdFornitoreOligest, dbo.Uscite.IdCodOligest, dbo.Uscite.InfoRiv, dbo.Uscite.IDProd
FROM            dbo.vFornitori RIGHT OUTER JOIN
                         dbo.Uscite ON dbo.vFornitori.IDSoggetto = dbo.Uscite.IDEditore LEFT OUTER JOIN
                         dbo.Prodotti LEFT OUTER JOIN
                         dbo.TipiProdotto ON dbo.Prodotti.IDTipoProdotto = dbo.TipiProdotto.IDTipoProdotto ON dbo.Uscite.IDProd = dbo.Prodotti.IDProd LEFT OUTER JOIN
                         dbo.IVA ON dbo.Uscite.IDIva = dbo.IVA.IDIva CROSS JOIN
                         dbo.vEdicola

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "vFornitori"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 121
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 17
               Left = 459
               Bottom = 132
               Right = 697
            End
            DisplayFlags = 280
            TopColumn = 65
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 6
               Left = 254
               Bottom = 121
               Right = 449
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipiProdotto"
            Begin Extent = 
               Top = 246
               Left = 38
               Bottom = 361
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "IVA"
            Begin Extent = 
               Top = 246
               Left = 254
               Bottom = 361
               Right = 429
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 366
               Left = 38
               Bottom = 481
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         A' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaProdottiIVA'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'lias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaProdottiIVA'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaProdottiIVA'
GO


